
import UIKit
import CoreMotion

class ViewController: UIViewController {
    var manager: CMMotionManager!
    var control = false
    var delta = Date()
    
    override func viewDidLoad() {
        super.viewDidLoad()
        view.backgroundColor = UIColor.blue
        
        manager = CMMotionManager()
        if manager.isDeviceMotionAvailable {
            manager.deviceMotionUpdateInterval = 1.0 / 60.0
            let queue = OperationQueue.main
            manager.startDeviceMotionUpdates(to: queue, withHandler: { (data, error) in
                if let values = data {
                    let today = Date()
                    let seconds = today.timeIntervalSince(self.delta)
                    let acc = values.userAcceleration.x
                    if seconds > 0.5 && acc > 2.0 {
                        self.delta = today
                        if self.control {
                            self.view.backgroundColor = UIColor.blue
                            self.control = false
                        } else {
                            self.view.backgroundColor = UIColor.red
                            self.control = true
                        }
                    }
                }
            })
        }
    }
}
